Skip to content
Permalink
Browse files

Use a newer cmake version for Travis builds to avoid Qt warnings

  • Loading branch information
nyalldawson committed Feb 10, 2015
1 parent 68f9464 commit 76927bb83333f73eae7e964bc93525077607b44b
Showing with 5 additions and 2 deletions.
  1. +5 −2 .travis.yml
@@ -12,9 +12,12 @@ notifications:
skip_join: true

before_install:
- sudo apt-get update -qq
- sudo add-apt-repository ppa:ubuntugis/ppa -y
- sudo apt-get install bison cmake doxygen flex git graphviz grass-dev libexpat1-dev libfcgi-dev libgdal1-dev libgeos-dev libgsl0-dev libopenscenegraph-dev libosgearth-dev libpq-dev libproj-dev libqscintilla2-dev libqt4-dev libqt4-opengl-dev libqtwebkit-dev libqwt-dev libspatialindex-dev libspatialite-dev libsqlite3-dev lighttpd pkg-config poppler-utils pyqt4-dev-tools python python-dev python-qt4 python-qt4-dev python-sip python-sip-dev spawn-fcgi txt2tags xauth xfonts-100dpi xfonts-75dpi xfonts-base xfonts-scalable xvfb
- sudo add-apt-repository ppa:smspillaz/cmake-3.0.2 -y
- sudo apt-get update -qq
- sudo apt-get install bison cmake cmake-data doxygen flex git graphviz grass-dev libexpat1-dev libfcgi-dev libgdal1-dev libgeos-dev libgsl0-dev libopenscenegraph-dev libosgearth-dev libpq-dev libproj-dev libqscintilla2-dev libqt4-dev libqt4-opengl-dev libqtwebkit-dev libqwt-dev libspatialindex-dev libspatialite-dev libsqlite3-dev lighttpd pkg-config poppler-utils pyqt4-dev-tools python python-dev python-qt4 python-qt4-dev python-sip python-sip-dev spawn-fcgi txt2tags xauth xfonts-100dpi xfonts-75dpi xfonts-base xfonts-scalable xvfb
- cmake --version
- clang --version

install:
- mkdir build

0 comments on commit 76927bb

Please sign in to comment.
You can’t perform that action at this time.